org.apache.tinkerpop.gremlin.giraph.process.computer

## Class EmptyOutEdges

- java.lang.Object
- - org.apache.tinkerpop.gremlin.giraph.process.computer.EmptyOutEdges

-     public final class EmptyOutEdges
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyOutEdges()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(<any> edge)`
    `void` | `initialize()`
    `void` | `initialize(int capacity)`
    `void` | `initialize(Iterable<<any>> edges)`
    `static EmptyOutEdges` | `instance()`
    `Iterator<<any>>` | `iterator()`
    `void` | `readFields(DataInput dataInput)`
    `void` | `remove(ObjectWritable targetVertexId)`
    `int` | `size()`
    `void` | `write(DataOutput dataOutput)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmptyOutEdges

          public EmptyOutEdges()

  - ### Method Detail

    - #### instance

          public static EmptyOutEdges instance()

    - #### initialize

          public void initialize(Iterable<<any>> edges)

    - #### initialize

          public void initialize(int capacity)

    - #### initialize

          public void initialize()

    - #### add

          public void add(<any> edge)

    - #### remove

          public void remove(ObjectWritable targetVertexId)

    - #### size

          public int size()

    - #### iterator

          public Iterator<<any>> iterator()

    - #### write

          public void write(DataOutput dataOutput)
                     throws IOException

      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput dataInput)
                          throws IOException

      Throws:
        `IOException`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.